Subject: fake

From: [email-masked]
Date: Wed, 31 Mar 2004 22:54:30 +0800

do you?
[Filename: ranking.pif, Content-Type: application/octet-stream]
The attachment file in the message has been removed by eManager.